cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9452) CentOS6 kvm hosts stop working after upgrade
Date Wed, 10 Aug 2016 09:05:20 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9452?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15414964#comment-15414964
] 

ASF GitHub Bot commented on CLOUDSTACK-9452:
--------------------------------------------

Github user sverrirab commented on the issue:

    https://github.com/apache/cloudstack/pull/1633
  
    The updated script that now depends on python 2.7 (or python 2.6 + argparse I assume)
is replacing the perl installation requirement that was there before.  Would it not be the
correct solution to require python 2.7 to be installed?  If the hosts are dedicated KVM hosts
that should be relatively low risk?


> CentOS6 kvm hosts stop working after upgrade
> --------------------------------------------
>
>                 Key: CLOUDSTACK-9452
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9452
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>            Reporter: Rohit Yadav
>            Assignee: Rohit Yadav
>            Priority: Blocker
>
> Recently patchviasocket script was rewritten in python from perl, but it uses argparse
causing failures on centos6 hosts with python 2.6 which may not have it pre-installed. The
fix would be to use optparse etc. instaed of argparse as it's introduced only in python 2.7.
> Error log;
> DEBUG [kvm.resource.LibvirtComputingResource] (agentRequest-Handler-3 (logid:005ad4fd)
Executing: /usr/share/cloudstack-common/scripts/vm/hypervisor/kvm/patchviasocket.py -n r-148-VM
-p %t                                                                                                                
emplate=domP%name=r-148-VM%eth2ip=10.1.34.18%eth2mask=255.255.224.0%gateway=10.1.63.254%eth0ip=10.1.1.1%eth0mask=255.255.255.0%domain=cs2cloud.internal%cidrsize=24%dhcprange=10.1.1.1%eth1ip=                                                                                                                
169.254.1.214%eth1mask=255.255.0.0%type=router%disable_rp_filter=true%dns1=8.8.8.8%dns2=8.8.4.4%baremetalnotificationsecuritykey=4XFrHwfZgVr6DrJhgoBuNgbc5Vk7ACm90TW3GgYk9-O7TgNY9LXn_FNcm9Sdc                                                                                                                
IEnwSTktEx3K_a7ng2K4fpyUg%baremetalnotificationapikey=k3ja_d3xCTT78-ow30eah6TCvqYB3IIXYtKeaDJ4_TMdD7BbZbHhp07dVKXPiM5ee3xFn2wqSIxuX5LsObQYDg%host=10.2.3.61%port=8080
> DEBUG [kvm.resource.LibvirtComputingResource] (agentRequest-Handler-3 (logid:005ad4fd)
Exit value is 1
> DEBUG [kvm.resource.LibvirtComputingResource] (agentRequest-Handler-3 (logid:005ad4fd)
Traceback (most recent call last):  File "/usr/share/cloudstack-common/scripts/vm/hypervisor/kvm/patc                                                                                                                
hviasocket.py", line 25, in <module>    import argparseImportError: No module
named argparse
> DEBUG [kvm.resource.LibvirtComputingResource] (agentRequest-Handler-3 (logid:005ad4fd)
passcmd failed:Traceback (most recent call last):  File "/usr/share/cloudstack-common/scripts/vm/hype                                                                                                                
rvisor/kvm/patchviasocket.py", line 25, in <module>    import argparseImportError:
No module named argparse



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message